# avvy-l2

- node - узел блокчейна реализованный на Cosmos SDK

## Node

Установить [Starport](https://github.com/tendermint/starport).

Добавить типы:
```
starport scaffold list rollup prev_hash current_hash ds_uri inbox
starport scaffold list message status name data
starport scaffold list l3node public_key options
starport scaffold map attachedUser userName:string --index iidap_id:int,account:int
```

## Использование

Блокчейн API http://159.223.19.171:1317
Tendermint node: http://159.223.19.171:26657
Token faucet: http://159.223.19.171:4500

## Структуры

message L2Node {
    string public_key;
    repeated string options;
}

message Message {
    uint64 status;
    string name;
    repeated string data;
}

message Rollup {
    string prev_hash;
    string current_hash;
    string ds_uri;
    repeated string inbox
}

## Запуск сервиса

```
starport chain serve
```

### Configure

Your blockchain in development can be configured with `config.yml`. To learn more, see the [Starport docs](https://docs.starport.network).

### Launch

To launch your blockchain live on multiple nodes, use `starport network` commands. Learn more about [Starport Network](https://github.com/tendermint/spn).

### Install
To install the latest version of your blockchain node's binary, execute the following command on your machine:

```
curl https://get.starport.network/cosmonaut/voter@latest! | sudo bash
```
`cosmonaut/voter` should match the `username` and `repo_name` of the Github repository to which the source code was pushed. Learn more about [the install process](https://github.com/allinbits/starport-installer).
