/* eslint-disable */
import { Writer, Reader } from "protobufjs/minimal";
export const protobufPackage = "cosmonaut.voter.voter";
const baseAttachedUser = {
    iidapId: 0,
    account: 0,
    userName: "",
    creator: "",
};
export const AttachedUser = {
    encode(message, writer = Writer.create()) {
        if (message.iidapId !== 0) {
            writer.uint32(8).int32(message.iidapId);
        }
        if (message.account !== 0) {
            writer.uint32(16).int32(message.account);
        }
        if (message.userName !== "") {
            writer.uint32(26).string(message.userName);
        }
        if (message.creator !== "") {
            writer.uint32(34).string(message.creator);
        }
        return writer;
    },
    decode(input, length) {
        const reader = input instanceof Uint8Array ? new Reader(input) : input;
        let end = length === undefined ? reader.len : reader.pos + length;
        const message = { ...baseAttachedUser };
        while (reader.pos < end) {
            const tag = reader.uint32();
            switch (tag >>> 3) {
                case 1:
                    message.iidapId = reader.int32();
                    break;
                case 2:
                    message.account = reader.int32();
                    break;
                case 3:
                    message.userName = reader.string();
                    break;
                case 4:
                    message.creator = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
            }
        }
        return message;
    },
    fromJSON(object) {
        const message = { ...baseAttachedUser };
        if (object.iidapId !== undefined && object.iidapId !== null) {
            message.iidapId = Number(object.iidapId);
        }
        else {
            message.iidapId = 0;
        }
        if (object.account !== undefined && object.account !== null) {
            message.account = Number(object.account);
        }
        else {
            message.account = 0;
        }
        if (object.userName !== undefined && object.userName !== null) {
            message.userName = String(object.userName);
        }
        else {
            message.userName = "";
        }
        if (object.creator !== undefined && object.creator !== null) {
            message.creator = String(object.creator);
        }
        else {
            message.creator = "";
        }
        return message;
    },
    toJSON(message) {
        const obj = {};
        message.iidapId !== undefined && (obj.iidapId = message.iidapId);
        message.account !== undefined && (obj.account = message.account);
        message.userName !== undefined && (obj.userName = message.userName);
        message.creator !== undefined && (obj.creator = message.creator);
        return obj;
    },
    fromPartial(object) {
        const message = { ...baseAttachedUser };
        if (object.iidapId !== undefined && object.iidapId !== null) {
            message.iidapId = object.iidapId;
        }
        else {
            message.iidapId = 0;
        }
        if (object.account !== undefined && object.account !== null) {
            message.account = object.account;
        }
        else {
            message.account = 0;
        }
        if (object.userName !== undefined && object.userName !== null) {
            message.userName = object.userName;
        }
        else {
            message.userName = "";
        }
        if (object.creator !== undefined && object.creator !== null) {
            message.creator = object.creator;
        }
        else {
            message.creator = "";
        }
        return message;
    },
};
