import { Writer, Reader } from "protobufjs/minimal";
import { Rollup } from "../voter/rollup";
import { Message } from "../voter/message";
import { L3Node } from "../voter/l_3_node";
import { AttachedUser } from "../voter/attached_user";
export declare const protobufPackage = "cosmonaut.voter.voter";
/** GenesisState defines the voter module's genesis state. */
export interface GenesisState {
    rollupList: Rollup[];
    rollupCount: number;
    messageList: Message[];
    messageCount: number;
    l3NodeList: L3Node[];
    l3NodeCount: number;
    /** this line is used by starport scaffolding # genesis/proto/state */
    attachedUserList: AttachedUser[];
}
export declare const GenesisState: {
    encode(message: GenesisState, writer?: Writer): Writer;
    decode(input: Reader | Uint8Array, length?: number): GenesisState;
    fromJSON(object: any): GenesisState;
    toJSON(message: GenesisState): unknown;
    fromPartial(object: DeepPartial<GenesisState>): GenesisState;
};
declare type Builtin = Date | Function | Uint8Array | string | number | undefined;
export declare type DeepPartial<T> = T extends Builtin ? T : T extends Array<infer U> ? Array<DeepPartial<U>> : T extends ReadonlyArray<infer U> ? ReadonlyArray<DeepPartial<U>> : T extends {} ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : Partial<T>;
export {};
