# Node

Установить Звёздный порт

```bash
curl https://get.starport.network/starport@v0.17.0! | bash
```

Запуск узла

```bash
starport chain serve
```

## Регистрация L3 узла

```bash
voterd tx voter create-l-3-node "Text editors" "Emacs" "Vim" --from alice -y
```

## Регистрация Rollup

```bash
voterd tx voter create-rollup "prevHash" "currentHash" "dsUri" "inbox1" --from alice -y
```

## Работа с пользователем:
```bash
voterd tx voter create-attached-user [iidap-id] [account] [name] --from alice -y
voterd tx voter delete-attached-user [iidap-id] [account] --from alice -y
```

Чек: 
```bash
curl -X GET "{{blockchain-api-host}}:{{blockhain-api-port}}/cosmonaut/voter/voter/attachedUser/{{iidap-id}}/{{account}}" -H  "accept: application/json"
```

